# Uses of Enum Class
com.logicaldoc.core.security.user.UserType

Packages that use UserType
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of UserType in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return UserType
Modifier and Type
Method
Description
`UserType`
User.`getType()`
`static UserType`
UserType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UserType[]`
UserType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.security.user with parameters of type UserType
Modifier and Type
Method
Description
`void`
User.`setType(UserType type)`